List assigned active branches
curl --request GET \
--url https://jaliprohmis.derrickmugabwa.dev/api/v1/branches \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://jaliprohmis.derrickmugabwa.dev/api/v1/branches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://jaliprohmis.derrickmugabwa.dev/api/v1/branches"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": 123,
"organization_id": 123,
"name": "<string>",
"code": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"address": "<string>",
"is_active": true,
"is_primary": true
}
]
}{
"message": "Unauthenticated."
}{
"message": "Unauthenticated."
}Foundation
List assigned active branches
Returns active branches assigned to the authenticated user. Requires organization:read.
GET
/
branches
List assigned active branches
curl --request GET \
--url https://jaliprohmis.derrickmugabwa.dev/api/v1/branches \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://jaliprohmis.derrickmugabwa.dev/api/v1/branches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://jaliprohmis.derrickmugabwa.dev/api/v1/branches"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": 123,
"organization_id": 123,
"name": "<string>",
"code": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"address": "<string>",
"is_active": true,
"is_primary": true
}
]
}{
"message": "Unauthenticated."
}{
"message": "Unauthenticated."
}